## node-webfont 11.4.0%2Bdfsg2%2B~cs35.7.26

=== debian/changelog ===
node-webfont (11.4.0+dfsg2+~cs35.7.26-7ubuntu1) lunar; urgency=medium

  * Strip -Bsymbolic-functions to fix build on Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 13:12:53 -0400

node-webfont (11.4.0+dfsg2+~cs35.7.26-7) unstable; urgency=medium

  * Add Testsuite header to d/control (thanks Paul Gevers for spotting
    this omission)
  * Remove Pirate from Uploaders

 -- Julian Gilbey <jdg@debian.org>  Sun, 19 Feb 2023 09:29:54 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-6) unstable; urgency=medium

  * Skip autopkgtests on armel (test is strangely flaky and increasing
    timeout did not help), ppc64el and s390x (wawoff2 fails on those
    architectures)
  * Add README.Debian explaining that wawoff2 does not work on ppc64el and
    s390x

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Feb 2023 20:53:57 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-5) unstable; urgency=medium

  * Increase test timeout because some tests fail on armel

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Feb 2023 22:28:14 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-4) unstable; urgency=medium

  * Correct webfont manpage and --help output; two short options did not
    match the implementation

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Feb 2023 10:12:48 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-3) unstable; urgency=medium

  * Fix varstream copyright information
  * Add svgicons2svgfont command

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Feb 2023 17:13:14 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 05 Feb 2023 21:05:36 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Initial packaging work

  [ Julian Gilbey ]
  * Initial release (Closes: #1026800)

 -- Julian Gilbey <jdg@debian.org>  Sun, 05 Feb 2023 07:59:37 +0000
