=== debian/changelog ===
node-webfont (11.4.0+dfsg2+~cs35.7.26-14) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Disable lto to fix build of wawoff2. Closes: #1109746

  [ Jérémy Lal ]
  * wawoff2 patch for gcc15. Closes: #1114232
  * Allow rebuild with -nc
  * Update watch file

 -- Jérémy Lal <kapouer@melix.org>  Sat, 04 Oct 2025 12:28:51 +0200

node-webfont (11.4.0+dfsg2+~cs35.7.26-13) unstable; urgency=medium

  * Disable svgicons2svgfont and wawoff2 build-time test except on amd64;
    it breaks on i386, in spite of the top-level tests working there
    (closes: #1103127)
  * Add README.Debian to node-svgicons2svgfont
  * Add @rollup/plugin-node-resolve to rollup config

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Apr 2025 21:58:14 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-12) unstable; urgency=medium

  * Skip tests on riscv64, where emscripten is broken

 -- Julian Gilbey <jdg@debian.org>  Tue, 11 Mar 2025 07:25:38 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-11) unstable; urgency=medium

  * B-D emscripten >= 3.1.69~. (Closes: #1084309)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Feb 2025 22:10:26 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-10) unstable; urgency=medium

  * Remove hardening flags unsupported by current emscripten version
    (closes: #1054699)

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Nov 2023 18:37:55 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-9) unstable; urgency=medium

  * Disable -Wl,-Bsymbolic-functions to enable Ubuntu build to succeed
  * Add missing test-time dependency

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Aug 2023 21:04:58 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-8) unstable; urgency=medium

  * Team upload

  [ Julian Gilbey ]
  * Delete generated file during clean

  [ Yadd ]
  * Update clean (Closes: #1047611)

 -- Yadd <yadd@debian.org>  Mon, 14 Aug 2023 09:04:22 +0400
