=== debian/control ===
Source: node-webfont
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-rollup-plugin-typescript
 , node-tslib
 , node-types-node
 , node-svg2ttf
 , node-cosmiconfig (>= 5.2.0)
 , node-deepmerge (>= 4.2.2)
 , node-globby (>= 11.0.0)
 , node-meow
 , node-nunjucks (>= 3.2.3)
 , node-p-limit (>= 3.1.0)
 , node-parse-json (>= 5.2.0)
 , node-resolve-from (>= 5.0.0)
 , rollup
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-terser
 , node-rimraf
 , node-jest-types
# , node-svgicons2svgfont (>= 10.0.3)
 , node-commander
 , node-glob
 , node-sax
# , node-ttf2eot (>= 2.0.0)
 , node-argparse
# , node-ttf2woff (>= 2.0.2)
# , node-wawoff2 (>= 2.0.0)
 , node-xml2js (>= 0.4.23)
# for ttf2woff
 , node-pako
# for neatequal
# for varstream
 , node-readable-stream
# for fast-xml-parser
 , node-babel-loader
# for tests
 , node-jasmine
 , mocha
 , chai
 , node-streamtest
 , fonts-font-awesome
 , jest
 , ts-node
# for building wawoff2
 , emscripten (>= 3.1.69~)
 , cmake
# for manpage
 , help2man
# for running tests; somehow this is needed
 , node-fast-json-stable-stringify
Build-Conflicts: node-webfont
Standards-Version: 4.7.2
Homepage: https://github.com/itgalaxy/webfont
Vcs-Git: https://salsa.debian.org/js-team/node-webfont.git
Vcs-Browser: https://salsa.debian.org/js-team/node-webfont
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-nodejs

Package: node-webfont
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs:any
 , node-cosmiconfig (>= 5.2.0)
 , node-deepmerge (>= 4.2.2)
 , node-globby (>= 11.0.0)
 , node-meow
 , node-nunjucks (>= 3.2.3)
 , node-p-limit (>= 3.1.0)
 , node-parse-json (>= 5.2.0)
 , node-resolve-from (>= 5.0.0)
 , node-svg2ttf (>= 6.0.2)
# , node-ttf2eot (>= 2.0.0)
 , node-argparse
# , node-ttf2woff (>= 2.0.2)
# , node-wawoff2 (>= 2.0.0)
 , node-xml2js (>= 0.4.23)
# for svgicons2svgfont
# , node-neatequal
 , node-commander
 , node-glob
 , node-sax
# for neatequal
# , node-varstream
# for node-varstream
 , node-readable-stream
# for ttf2woff
 , node-pako
Provides: ${nodejs:Provides}
Description: Generate fonts from SVG icons
 Webfont converts sets of SVG files into an icon font, in any of the
 formats: woff2, woff, eot, ttf and svg.  These can then be used in a
 browser.  It has both a Node.js interface and a simple command-line
 interface (webfont).
