=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+export DEB_BUILD_MAINT_OPTIONS=hardening=-branch
 
 %:
 	dh $@
@@ -15,20 +16,20 @@
 
 # Note that all of these are removed in debian/clean
 execute_before_dh_auto_build:
-	ln -s $(FONTAWESOME).ttf is-ttf/pixel.ttf
-	ln -s $(FONTAWESOME).woff is-ttf/pixel.woff
-	ln -s $(FONTAWESOME).eot is-ttf/pixel.eot
-	ln -s $(FONTAWESOME).eot is-eot/fontawesome-webfont.eot
-	ln -s $(FONTAWESOME).woff is-eot/fontawesome-webfont.woff
-	ln -s $(FONTAWESOME).ttf is-eot/fontawesome-webfont.ttf
-	mkdir is-woff/fixture
-	ln -s $(FONTAWESOME).woff is-woff/fixture/fontawesome-webfont.woff
-	ln -s $(FONTAWESOME).woff2 is-woff/fixture/fontawesome-webfont.woff2
-	mkdir is-woff2/test/fixture
-	ln -s $(FONTAWESOME).woff is-woff2/test/fixture/fixture.woff
-	ln -s $(FONTAWESOME).woff2 is-woff2/test/fixture/fixture.woff2
-	mkdir wawoff2/test/fixtures
-	ln -s $(FONTAWESOME).ttf wawoff2/test/fixtures/sample.ttf
+	ln -sf $(FONTAWESOME).ttf is-ttf/pixel.ttf
+	ln -sf $(FONTAWESOME).woff is-ttf/pixel.woff
+	ln -sf $(FONTAWESOME).eot is-ttf/pixel.eot
+	ln -sf $(FONTAWESOME).eot is-eot/fontawesome-webfont.eot
+	ln -sf $(FONTAWESOME).woff is-eot/fontawesome-webfont.woff
+	ln -sf $(FONTAWESOME).ttf is-eot/fontawesome-webfont.ttf
+	mkdir -p is-woff/fixture
+	ln -sf $(FONTAWESOME).woff is-woff/fixture/fontawesome-webfont.woff
+	ln -sf $(FONTAWESOME).woff2 is-woff/fixture/fontawesome-webfont.woff2
+	mkdir -p is-woff2/test/fixture
+	ln -sf $(FONTAWESOME).woff is-woff2/test/fixture/fixture.woff
+	ln -sf $(FONTAWESOME).woff2 is-woff2/test/fixture/fixture.woff2
+	mkdir -p wawoff2/test/fixtures
+	ln -sf $(FONTAWESOME).ttf wawoff2/test/fixtures/sample.ttf
 
 	# Build the wawoff2 module
 	cd wawoff2/src && make -f Makefile.Debian
@@ -66,4 +67,5 @@
 	# manually
 	install -m 644 fast-xml-parser/docs/* debian/node-webfont/usr/share/doc/node-fast-xml-parser/
 	install -m 644 varstream/index.html debian/node-webfont/usr/share/doc/node-varstream/
-	install -m 644 debian/node-webfont.README.Debian debian/node-webfont/usr/share/doc/node-wawoff2/
+	install -m 644 debian/node-wawoff2.README.Debian debian/node-webfont/usr/share/doc/node-wawoff2/README.Debian
+	install -m 644 debian/node-svgicons2svgfont.README.Debian debian/node-webfont/usr/share/doc/node-svgicons2svgfont/README.Debian
