=== debian/watch ===
Version: 5

Version-Schema: checksum
# Note that some components are not downloaded using this watchfile:
# * is-eot, is-ttf: these are both downloaded from GitHub manually, as
#   the GitHub site includes test suites but does not have version
#   tagging
# * fast-xml-parser: we need version 3.x of the module
# * woff2: the latest GitHub version has not been tagged, so we use
#   the HEAD commit rather than the last released version.
Template: Github
Owner: itgalaxy
Project: webfont
Repack: yes
Repacksuffix: +dfsg

Component: svgicons2svgfont
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: svgicons2svgfont

Component: svg-pathdata
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: svg-pathdata
Repack: yes

Component: ttf2eot
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: ttf2eot

Component: ttf2woff
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: ttf2woff

Component: wawoff2
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: wawoff2

# The GitHub site does not have any tags, so we manually pack the GitHub
# version, as that includes test files; this is version 0.2.2 of is-ttf.
# opts="searchmode=plain,component=is-ttf,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-is-ttf-$1/" \
#  https://registry.npmjs.org/is-ttf https://registry.npmjs.org/is-ttf/-/is-ttf-([\d\.]+)@ARCHIVE_EXT@ checksum
# The GitHub site does not have any tags, so we use npmjs.org to track
# this.
Component: b3b
Template: Npmregistry
Ctype: nodejs
Dist: b3b

# The GitHub site does not have any tags, so we manually pack the GitHub
# version, as that includes test files; this is version 1.0.0 of is-eot.
# opts="searchmode=plain,component=is-eot,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-is-eot-$1/" \
#  https://registry.npmjs.org/is-eot https://registry.npmjs.org/is-eot/-/is-eot-([\d\.]+)@ARCHIVE_EXT@ checksum
Component: is-svg
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: sindresorhus
Project: is-svg

# We have a static version of this, as is-svg cannot handle the
# current version (4.x).
# opts=\
# component=fast-xml-parser,\
# ctype=nodejs,\
# dversionmangle=auto,\
# filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-fast-xml-parser-$1/ \
#  https://github.com/NaturalIntelligence/fast-xml-parser/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
# The GitHub site does not have any tags, so we use npmjs.org to track
# this.
Component: strnum
Template: Npmregistry
Ctype: nodejs
Dist: strnum

Component: is-woff
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: junmer
Project: is-woff

Component: is-woff2
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: arthurvr
Project: is-woff2

Component: neatequal
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: neatequal

Component: varstream
Template: Github
Ctype: nodejs
